Organizations
List Organizations
List organizations.
Scopes: organizations:read organizations:write
GET
/
v1
/
organizations
/
Go (SDK)
package main
import(
"context"
"os"
polargo "github.com/polarsource/polar-go"
"log"
)
func main() {
ctx := context.Background()
s := polargo.New(
polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
)
res, err := s.Organizations.List(ctx, nil, polargo.Pointer[int64](1), polargo.Pointer[int64](10), nil)
if err != nil {
log.Fatal(err)
}
if res.ListResourceOrganization != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}from polar_sdk import Polar
with Polar(
access_token="<YOUR_BEARER_TOKEN_HERE>",
) as polar:
res = polar.organizations.list_organizations(page=1, limit=10)
while res is not None:
# Handle items
res = res.next()import { Polar } from "@polar-sh/sdk";
const polar = new Polar({
accessToken: process.env["POLAR_ACCESS_TOKEN"] ?? "",
});
async function run() {
const result = await polar.organizations.listOrganizations({});
for await (const page of result) {
console.log(page);
}
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Polar;
$sdk = Polar\Polar::builder()
->setSecurity(
'<YOUR_BEARER_TOKEN_HERE>'
)
->build();
$responses = $sdk->organizations->list(
page: 1,
limit: 10
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}curl --request GET \
--url https://api.polar.sh/v1/organizations/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/organizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.polar.sh/v1/organizations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.polar.sh/v1/organizations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"avatar_url": "<string>",
"allow_customer_updates": true,
"email": "<string>",
"website": "<string>",
"socials": [
{
"url": "<string>"
}
],
"details_submitted_at": "2023-11-07T05:31:56Z",
"default_presentment_currency": "<string>",
"feature_settings": {
"issue_funding_enabled": false,
"seat_based_pricing_enabled": false,
"wallets_enabled": false,
"member_model_enabled": false,
"checkout_localization_enabled": false,
"overview_metrics": [
"<string>"
],
"reset_proration_behavior_enabled": false,
"off_session_charges_enabled": false,
"billing_enabled": false,
"slack_benefit_enabled": false
},
"subscription_settings": {
"allow_multiple_subscriptions": true,
"benefit_revocation_grace_period": 123,
"prevent_trial_abuse": true,
"allow_customer_updates": true
},
"notification_settings": {
"new_order": true,
"new_subscription": true,
"chargeback_prevention": true
},
"customer_email_settings": {
"order_confirmation": true,
"subscription_cancellation": true,
"subscription_confirmation": true,
"subscription_cycled": true,
"subscription_cycled_after_trial": true,
"subscription_past_due": true,
"subscription_renewal_reminder": true,
"subscription_revoked": true,
"subscription_trial_conversion_reminder": true,
"subscription_uncanceled": true,
"subscription_updated": true
},
"customer_portal_settings": {
"usage": {
"show": true
},
"subscription": {
"update_seats": true,
"update_plan": true
},
"customer": {
"allow_email_change": true
}
},
"account_id": "<string>",
"payout_account_id": "<string>",
"capabilities": {
"checkout_payments": true,
"subscription_renewals": true,
"payouts": true,
"refunds": true,
"api_access": true,
"dashboard_access": true
}
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
You can generate an Organization Access Token from your organization's settings.
Query Parameters
Filter by slug.
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.
Available options:
created_at, -created_at, slug, -slug, name, -name, next_review_threshold, -next_review_threshold, days_in_status, -days_in_status Was this page helpful?
⌘I
Go (SDK)
package main
import(
"context"
"os"
polargo "github.com/polarsource/polar-go"
"log"
)
func main() {
ctx := context.Background()
s := polargo.New(
polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
)
res, err := s.Organizations.List(ctx, nil, polargo.Pointer[int64](1), polargo.Pointer[int64](10), nil)
if err != nil {
log.Fatal(err)
}
if res.ListResourceOrganization != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}from polar_sdk import Polar
with Polar(
access_token="<YOUR_BEARER_TOKEN_HERE>",
) as polar:
res = polar.organizations.list_organizations(page=1, limit=10)
while res is not None:
# Handle items
res = res.next()import { Polar } from "@polar-sh/sdk";
const polar = new Polar({
accessToken: process.env["POLAR_ACCESS_TOKEN"] ?? "",
});
async function run() {
const result = await polar.organizations.listOrganizations({});
for await (const page of result) {
console.log(page);
}
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Polar;
$sdk = Polar\Polar::builder()
->setSecurity(
'<YOUR_BEARER_TOKEN_HERE>'
)
->build();
$responses = $sdk->organizations->list(
page: 1,
limit: 10
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}curl --request GET \
--url https://api.polar.sh/v1/organizations/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/organizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.polar.sh/v1/organizations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.polar.sh/v1/organizations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"avatar_url": "<string>",
"allow_customer_updates": true,
"email": "<string>",
"website": "<string>",
"socials": [
{
"url": "<string>"
}
],
"details_submitted_at": "2023-11-07T05:31:56Z",
"default_presentment_currency": "<string>",
"feature_settings": {
"issue_funding_enabled": false,
"seat_based_pricing_enabled": false,
"wallets_enabled": false,
"member_model_enabled": false,
"checkout_localization_enabled": false,
"overview_metrics": [
"<string>"
],
"reset_proration_behavior_enabled": false,
"off_session_charges_enabled": false,
"billing_enabled": false,
"slack_benefit_enabled": false
},
"subscription_settings": {
"allow_multiple_subscriptions": true,
"benefit_revocation_grace_period": 123,
"prevent_trial_abuse": true,
"allow_customer_updates": true
},
"notification_settings": {
"new_order": true,
"new_subscription": true,
"chargeback_prevention": true
},
"customer_email_settings": {
"order_confirmation": true,
"subscription_cancellation": true,
"subscription_confirmation": true,
"subscription_cycled": true,
"subscription_cycled_after_trial": true,
"subscription_past_due": true,
"subscription_renewal_reminder": true,
"subscription_revoked": true,
"subscription_trial_conversion_reminder": true,
"subscription_uncanceled": true,
"subscription_updated": true
},
"customer_portal_settings": {
"usage": {
"show": true
},
"subscription": {
"update_seats": true,
"update_plan": true
},
"customer": {
"allow_email_change": true
}
},
"account_id": "<string>",
"payout_account_id": "<string>",
"capabilities": {
"checkout_payments": true,
"subscription_renewals": true,
"payouts": true,
"refunds": true,
"api_access": true,
"dashboard_access": true
}
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
